Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create project update reminder

POST/workspaces/{organizationId}/project-update-reminders
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
cadencestring
Allowed:dailyweeklybiweeklymonthly
nextDueAtstring
projectIdstringrequired
Responses
201

Project update reminder created

idstringrequired
organizationIdstringrequired
projectIdstringrequired
cadencestringrequired
Allowed:dailyweeklybiweeklymonthly
nextDueAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
404

Project not found

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/project-update-reminders' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "cadence": "daily",
  "nextDueAt": "string",
  "projectId": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "projectId": "string",
  "cadence": "daily",
  "nextDueAt": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?